import 'package:flutter/material.dart';
import 'package:baby_names_app/pages/home_screen.dart';
import 'package:baby_names_app/pages/intro_screen.dart';
import 'package:baby_names_app/pages/splash_screen.dart';
import 'package:baby_names_app/pages/gender_screen.dart';
import 'package:baby_names_app/pages/letters_screen.dart';

var routes = <String, WidgetBuilder>{
  "/home": (BuildContext context) => HomeScreen(),
  "/intro": (BuildContext context) => IntroScreen(),
  "/gender": (BuildContext context) => GenderScreen(),
  "/letters": (BuildContext context) => LettersScreen()
};

void main() => runApp(new MaterialApp(
    theme:
        ThemeData(primaryColor: Colors.red, accentColor: Colors.yellowAccent),
    debugShowCheckedModeBanner: false,
    home: SplashScreen(),
    routes: routes));
